import { __decorate } from "tslib";
import { observable } from '@microsoft/fast-element';
/**
 * @internal
 */
export class AuthMock {
    constructor() {
        this.isWorking = false;
        this.loggedUserResult = null;
        this.currentUser = null;
        this.isLoggedIn = false;
    }
    async login(credentials) {
        return Promise.resolve(this.nextLoginResult);
    }
    async logout() {
        return Promise.resolve(this.nextLogoutResult);
    }
    async reAuthFromSession() {
        return Promise.resolve(this.nextReAuthResult);
    }
}
__decorate([
    observable
], AuthMock.prototype, "isWorking", void 0);
__decorate([
    observable
], AuthMock.prototype, "loggedUserResult", void 0);
__decorate([
    observable
], AuthMock.prototype, "currentUser", void 0);
__decorate([
    observable
], AuthMock.prototype, "isLoggedIn", void 0);
